%define	upstream_name	 Devel-SimpleTrace
%define	upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    See where you code warns and dies using stack traces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module can be used to more easily spot the place where a program or a
module generates errors. Its use is extremely simple, reduced to just useing
it.

This is achieved by modifying the functions warn() and die() in order to
replace the standard messages by complete stack traces that precisely indicates
how and where the error or warning occurred. Other than this, their use should
stay unchanged, even when using die() inside eval().

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{makeinstall_std}

%files
%doc Changes INSTALL LICENSE META.yml README eg
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1025608
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 933609
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 741304
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 684332
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 510870
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 365799
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 56585
- update to 0.08

* Thu Jan 13 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 10984
- imported package perl-Devel-SimpleTrace


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.0
+ Revision: 403103
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.07-3mdv2009.0
+ Revision: 256636
- rebuild

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2008.1
+ Revision: 153983
- new version

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.06-1mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.0
+ Revision: 103019
- Import perl-Devel-SimpleTrace

* Mon Jan 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.1
- first mdv release

